﻿/// <summary>
/// source: Http://www.WayneCliffordBarker.co.za
/// license: free to use by any individual or company for what ever purpose.
/// disclaimer: All content provided on this site "www.waynecliffordbarker.co.za" is for informational purposes only. Although the owner takes care to represent accurate content, the owner makes no representations as to the accuracy or completeness of any information on this site or found by following any link on this site. Neither the  owner of www.waynecliffordbarker.co.za nor any author of the site will be liable for any errors or omissions in this information nor for the availability of this information. The owner of www.waynecliffordbarker.co.za nor any author of the site will not be liable for any losses, injuries, or damages from the display or use of this information obtained from this site.
/// </summary>

using System;

namespace HelloWorldRouting
{
    class Program
    {
        static void Main(string[] args)
        {       

            bool exit = false;

            while (!exit)
            {
                Console.ForegroundColor = ConsoleColor.Cyan;
                Console.WriteLine("_______________________________________________________________________________________________________");
                Console.WriteLine("OPTIONS");
                Console.WriteLine("Press 1 - Single message, Id by content, validate content, single transform, single delivery");
                Console.WriteLine("Press 2 - Single message, Id by source, validate content, single transform, single delivery");
                Console.WriteLine("Press 3 = Single message, Id by content, validate content, multiple transforms and multiple deliveries");
                Console.WriteLine("Press 4 = Single message - with an Id error");
                Console.WriteLine("Press 5 = Batch (2) messages - Id by content and source, validate contents, multiple (3) transforms and multiple (3) deliveries");
                Console.WriteLine("Press 6 = Batch (3) messages - To local disk, to Ftp and one with error.");
                Console.WriteLine("");
                Console.WriteLine("Press 0 = To clear screen");
                Console.WriteLine("Press escape to exit");
                Console.WriteLine("_______________________________________________________________________________________________________");

                ConsoleKeyInfo k = Console.ReadKey();

                try
                {
                    Console.Clear();
                    RouteTest r = new RouteTest();

                    if (k.Key == ConsoleKey.D1)
                    {
                        r.Test1();
                    }

                    if (k.Key == ConsoleKey.D2)
                    {
                        r.Test2();
                    }

                    if (k.Key == ConsoleKey.D3)
                    {
                        r.Test3();
                    }

                    if (k.Key == ConsoleKey.D4)
                    {
                        r.Test4();
                    }

                    if (k.Key == ConsoleKey.D5)
                    {
                        r.Test5();
                    }

                    if (k.Key == ConsoleKey.D6)
                    {
                        r.Test6();
                    }

                    if (k.Key == ConsoleKey.D0)
                    {
                        Console.Clear();                        
                    }

                    if (k.Key == ConsoleKey.Escape)
                    {
                        exit = true;
                    }
                }
                catch (Exception ex)
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("Exception : " + ex.GetType().ToString());
                    Console.WriteLine("");
                    Console.WriteLine("Message : " + ex.Message.ToString());
                    Console.WriteLine("");
                    Console.WriteLine("Stacktrace : " + ex.StackTrace.ToString());

                    Console.WriteLine("");
                }
            }


        }
        

    }
}
